{{- $currentLang := site.Language.Lang }}

{{- $content :=  trim . " " -}}

<!-- Change heading order in home page -->
{{- $content = cond (eq (len (findRE "/*contenudelapagedaccueil*" .)) 1) (replace $content "h2>" "h1>") $content -}}
{{- $content = cond (eq (len (findRE "/*contenudelapagedaccueil*" .)) 1) (replace $content "h3>" "h2>") $content -}}
{{- $content = (replace $content "/*contenudelapagedaccueil*" "") -}}

<!-- Remove weird HTML tags -->
{{- $content = $content | replaceRE "<div><br></div>" "<br>" -}}
{{- $content = $content | replaceRE "<u>" "" -}}
{{- $content = $content | replaceRE "</u>" "" -}}
{{- $content = $content | replaceRE "<b>" "<strong>" -}}
{{- $content = $content | replaceRE "</b>" "</strong>" -}}
{{- $content = $content | replaceRE "<i>" "<em>" -}}
{{- $content = $content | replaceRE "</i>" "</em>" -}}
{{- $content = $content | replaceRE "<div>\\s+" "<div>" -}}
{{- $content = $content | replaceRE "\\s+</div>" "</div>" -}}
{{- $content = $content | replaceRE "<div>\\s+<h(\\d{1})>" "<h$1>" -}}
{{- $content = $content | replaceRE "</h(\\d{1})>\\n</div>" "</h$1>" -}}
{{- $content = $content | replaceRE "<div>(.*)</div>" "<p>$1</p>" -}}

<!-- Remove empty HTML tags -->
{{- $content = $content | replaceRE "(?i)<[^>\\/]*>(\\s+|()|(&nbsp;)*|\\s+(&nbsp;)*|(&nbsp;)*\\s+|\\s+(&nbsp;)*\\s+)<\\/.[^>]*>" "" -}}

{{- with findRE "<table>" . -}}
  {{ partialCached "utils/css.html" (dict "context" . "filefolder" "elements" "filename" "table") "table" }}
{{- end -}}
{{- with findRE "<dl>" . -}}
  {{ partialCached "utils/css.html" (dict "context" . "filefolder" "elements" "filename" "dl") "dl" }}
{{- end -}}
{{- with or (findRE "<pre>" .) (findRE "<code>" .) -}}
  {{ partialCached "utils/css.html" (dict "context" . "filefolder" "elements" "filename" "code") "code" }}
{{- end -}}
{{- with or (findRE "<blockquote>" .) (findRE "<q>" .) -}}
  {{ partialCached "utils/css.html" (dict "context" . "filefolder" "elements" "filename" "blockquote") "blockquote" }}
{{- end -}}
{{- with or (findRE "<iframe>" .) (findRE "<embed>" .) -}}
  {{ partialCached "utils/css.html" (dict "context" . "filefolder" "elements" "filename" "iframe") }}
{{- end -}}

{{- if eq $currentLang "fr" -}}
    <!-- # Ordinals -->
    {{- $content = $content | replaceRE "(\\s)(\\d+)(e|è)(r|me)?([\\s.,])" "$1$2<sup>$3$4</sup>$5" -}}
    <!-- # Num -->
    <!-- input.gsub!(%r!n°\s*(\d)!, 'n<sup>o</sup>&#8239;\1') -->
    {{- $content = $content | replaceRE "n°\\s*(\\d)" "n<sup>o</sup>&#8239;$1" -}}

    <!-- # French Guillemets -->
    <!-- {{ $content = $content | replaceRE "(&rdquo;|”|»)&lt;a " "«&nbsp;&lt;a " }}
    {{- $content = $content | replaceRE "(&ldquo;|“|«)(^&#8239;)(\\s|&nbsp;| )*" "«&#8239;" -}} -->
    <!-- # ?! not existing in go. Should find an other way -->
    <!-- {{- $content = $content | replaceRE "(\\s|&nbsp;| )*(\\?\\!&nbsp;)(&rdquo;|”|»)" "&#8239;»" -}} -->

    <!-- # Point median -->
    <!-- if settings["median"] -->
    <!-- input.gsub!(%r!(\p{L}+)(·\p{L}+)((·)(\p{L}+))?!, '\1<span aria-hidden="true">\2\4</span>\5') -->
    <!-- end -->

    <!-- # Special punctuation -->
    <!-- input.gsub!(%r!(\s)+\?\!([^\w]|$)!, '&#8239;&#8264;\2') -->
    <!-- input.gsub!(%r!(\s)+\!\?([^\w]|$)!, '&#8239;&#8265;\2') -->
    <!-- input.gsub!(%r!(\s)+\!\!\!([^\w]|$)!, '&#8239;&#8252;\2') -->
    <!-- input.gsub!(%r!(\s)+\!\!([^\w]|$)!, '&#8239;&#8252;\2') -->

    <!-- # Times : need tests -->
    <!-- input.gsub!(%r!(\s)+(\d+)(\s)*x(\s)*(?=\d)!, '\1\2&nbsp;&times;&nbsp;\5') -->
    {{- $content = $content | replaceRE "(\\s)+(\\d+)(\\s)*x(\\s)*(^\\d)" "$1$2&nbsp;&times;&nbsp;$5" -}}
    <!-- # Non-breaking space before '%' and units (< 4 letters) -->
    {{- $content = $content | replaceRE "(\\s)+(\\d+)(\\s)+([a-zA-Z]|%)" "$1$2&nbsp;$4$5" -}}
    <!-- # Thin non-breaking space before ';', '!', '?' -->
    {{- $content = $content | replaceRE "( )([;?!])" "&#8239;$2" -}}
    <!-- # non-breaking space -->
    {{- $content = $content | replaceRE "( )([:])" "&nbsp;$2" -}}
    <!-- # Currencies -->
    {{- $content = $content | replaceRE "(\\d+)\\s*(\\$|€)" "$1&nbsp;$2" -}}
    <!-- # nbsp after middle dash (dialogs) -->
    <!-- input.gsub!(%r!(—|&mdash;)(\s)!, '\1&nbsp;') -->
    {{- $content = $content | replaceRE "(—|&mdash;)(\\s)" "$1&nbsp;" -}}
    <!-- Render Content -->
    {{- $content | safeHTML -}}
{{- else -}}
  {{ $content | safeHTML }}
{{- end -}}
